Subject: bug#24594: 24.5; `variable-pitch-mode': accept FACE arg instead of hardcoding the face

From: Clément Pit--Claudel <[email-masked]>
Date: Sun, 2 Oct 2016 23:39:50 -0400

On 2016-10-02 23:22, Drew Adams wrote:
> See http://emacs.stackexchange.com/a/27527/105: the user wants to use a
> different face from face `variable-pitch'.  That seems reasonable.

That's not how I read it.  I think they just want to change the look of Emacs after invoking variable-pitch-mode, and customizing the variable-pitch face seems like the right approach for that.

> Please consider adding an optional FACE argument, defaulting to face
> `variable-pitch'.

I don't really see why the function should be called variable-pitch-mode any more.  Maybe select-buffer-face? IIUC this wouldn't have anything to do with variable pitches any more, except for the default value, maybe?

Cheers,
Clément.